summaryrefslogtreecommitdiff
path: root/libs/ardour/run-profiling.sh
diff options
context:
space:
mode:
authorCarl Hetherington <carl@carlh.net>2012-01-23 15:01:08 +0000
committerCarl Hetherington <carl@carlh.net>2012-01-23 15:01:08 +0000
commit62304d57c6a9206d3a98ef12885596e5872c3f08 (patch)
tree27954afd2e4a6f154f81beea52b7d4e16da4324b /libs/ardour/run-profiling.sh
parent61c57e7c4dad4b1332ea54f76d00bade38fbfc1e (diff)
Basic process thread profiling code.
git-svn-id: svn://localhost/ardour2/branches/3.0@11310 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'libs/ardour/run-profiling.sh')
-rw-r--r--libs/ardour/run-profiling.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/libs/ardour/run-profiling.sh b/libs/ardour/run-profiling.sh
new file mode 100644
index 0000000000..e88ca2cf86
--- /dev/null
+++ b/libs/ardour/run-profiling.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# Run libardour profiling tests.
+#
+
+if [ ! -f './tempo.cc' ]; then
+ echo "This script must be run from within the libs/ardour directory";
+ exit 1;
+fi
+
+srcdir=`pwd`
+cd ../../build
+
+libs='libs'
+
+export LD_LIBRARY_PATH=$libs/audiographer:$libs/vamp-sdk:$libs/surfaces:$libs/surfaces/control_protocol:$libs/ardour:$libs/midi++2:$libs/pbd:$libs/rubberband:$libs/soundtouch:$libs/gtkmm2ext:$libs/appleutility:$libs/taglib:$libs/evoral:$libs/evoral/src/libsmf:$libs/timecode:/usr/local/lib:/usr/local/lib64:$LD_LIBRARY_PATH
+
+export ARDOUR_PANNER_PATH=$libs/panners/2in2out:$libs/panners/1in2out:$libs/panners/vbap
+
+export LD_PRELOAD=/home/carl/src/libfakejack/libjack.so
+
+if [ "$1" == "--debug" ]; then
+ gdb ./libs/ardour/run-profiling
+elif [ "$1" == "--valgrind" ]; then
+ valgrind ./libs/ardour/run-profiling
+elif [ "$1" == "--callgrind" ]; then
+ valgrind --tool=callgrind ./libs/ardour/run-profiling
+else
+ ./libs/ardour/run-profiling $*
+fi